datacache <- new.env(hash=TRUE, parent=emptyenv())

mgug4122a <- function() showQCData("mgug4122a", datacache)
mgug4122a_dbconn <- function() dbconn(datacache)
mgug4122a_dbfile <- function() dbfile(datacache)
mgug4122a_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
mgug4122a_dbInfo <- function() dbInfo(datacache)

mgug4122aORGANISM <- "Mus musculus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "mgug4122a.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("MOUSECHIP_DB", "mgug4122a", "chip mgug4122a", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(mgug4122a_dbconn())
}

